Mobileread
No sunrise XP conduit in Hotsynch
#1  obarthelemy 03-01-2009, 04:55 PM
Hi.

First of all, thanks for a very nice program and tutorial. I hope this forum is still somewhat active, though :-)

I installed Plucker (which seems to work OK) and Sunrise XP 2.03 (2.04 was giving me a whole bunch of missing DLLs). But Hotsynch does not semm to have registered the new Sunrise conduit.

What do I have to do to add it ?

Thanks for any help !

Olivier

#2  obarthelemy 03-01-2009, 06:05 PM
sifting through the install log, that error shows up. try deinstalling reinstalling....

#3  obarthelemy 03-01-2009, 06:26 PM
i found a utility to look into the conduits (PD-Synckit). It says SunriseXP is trying to use the conduit "conduit.dll" in the Sunrise directory, which could not be found.

Is the file missing from the install, or is the name wrong ?

#4  obarthelemy 03-04-2009, 05:45 PM
Anyone here ?

#5  Gaurnim 03-05-2009, 05:38 AM
Sorry, this part of the forum is not very active.
It's been almost a year since I used Sunrise, I don't remember having such a problem, sorry.

I suppose that conduit.dll is not in the Sunrise folder, right ?
Is it anywhere in the Palm Desktop install folder ?
If so, maybe you could add the Palm Desktop folder to the PATH, or copy the conduit.dll to the SunRise folder.

#6  obarthelemy 03-06-2009, 02:43 PM
Hey ! Thanks for your reply :-)

I've had MS's little doggy search all over my computer, no conduit.dll anywhere. Sunrise's install tries/pretends to extract a "conduit.dll" but then gives an error "could not register conduit". In Sunrise's dir, I've got ann.dll and condmgr.dll, no other dlls.

I'm guessing the issue is just that the filename is wrong: condmgr instead of conduit ? If that's the case, how can I try to manually register condmgr as a conduit in Hotsynch ? I've tried simply renaming condmgr.dll into conduit.dll, and putting in \palm and \windows (\windows is in my %path%), no luck. There must be something specific to do to register the conduit in Hotsync ?

Another possibility would be conduit.dll missing from the Sunrise's 2.03b install package ?

#7  Gaurnim 03-09-2009, 09:28 AM
Can't say more right now.
If I find the time, I'll have a look at it tonight or later in the week, but don't expect much.

Hey, I saw that there is a version 2.0.4 available :
http://sunrise.mobileread.com/download/index.html

Maybe this fixes your problem.

#8  obarthelemy 03-13-2009, 07:57 PM
thanks anyway. 2.0.4 doesn't install nicely with XP: it fails to install a number of DLLs. I read somewhere else on these forums that 2.0.3b was the right one for XP.

#9  looser101 12-14-2009, 08:46 PM
Install 2.04 first. 2.04 seems to install the conduit just fine. Once you have that working (it worked except it generated DLL errors) install 2.03 on top of 2.04. The conduit will remain and 2.03 won't generate any errors.

Today's Posts | Search this Thread | Login | Register